%define name		oldjavalayer
%define	rname		javalayer
%define major		0
%define minor		1
%define micro		1
%define version		%{major}.%{minor}.%{micro}
%define tversion	%{major}.%{minor}.%{micro}
%define jversion	%{major}%{minor}%{micro}
%define release		3jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        100% Java MP3 decoder/player/converter library
License:        GPL
Url:            http://www.javazoom.net/%{rname}/%{rname}.html
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://www.javazoom.net/%{rname}/sources/%{rname}%{tversion}.tar.gz
BuildRequires:  ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The core of JavaLayer is an Mpeg Audio decoder.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
ant all

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 jl%{jversion}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc faq.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.1-3jpp
- s|EPoch|Epoch

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.1-2jpp
- update for JPackage 1.5

* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 0.1.1-1jpp
- release
